Index: doc/texi2html
===================================================================
--- doc/texi2html	(revision 5b0536d9fce5759bc34812bfc5ead27f1a43a98f)
+++ doc/texi2html	(revision 7a9a32eee739811fda8ff32d867955fd395ffca1)
@@ -2,5 +2,5 @@
 'di ';
 'ig 00 ';
-# $Id: texi2html,v 1.4 1998-06-18 09:21:40 krueger Exp $
+# $Id: texi2html,v 1.5 1998-06-18 13:26:19 krueger Exp $
 # Description: Program to transform most Texinfo documents to HTML.
 # The plan is for the next version of makeinfo to support HTML output
@@ -49,9 +49,11 @@
 $IMG_LAST_ACTIVE   = "";
 $IMG_LAST_PASSIVE  = "";
-$IMG_NEXT_ACTIVE   = "<IMG SRC=\"next_motif.gif\">";
-$IMG_NEXT_PASSIVE  = "<IMG SRC=\"next_motif_gr.gif\">";
-$IMG_PREV_ACTIVE   = "<IMG SRC=\"previous_motif.gif\">";
-$IMG_PREV_PASSIVE  = "<IMG SRC=\"previous_motif_gr.gif\">";
-$IMG_TOC           = "<IMG SRC=\"contents_motif.gif\">";
+$IMG_NEXT_ACTIVE   = "<IMG SRC=\"images/next_motif.gif\">";
+$IMG_NEXT_PASSIVE  = "<IMG SRC=\"images/next_motif_gr.gif\">";
+$IMG_PREV_ACTIVE   = "<IMG SRC=\"images/previous_motif.gif\">";
+$IMG_PREV_PASSIVE  = "<IMG SRC=\"images/previous_motif_gr.gif\">";
+$IMG_TOC           = "<IMG SRC=\"images/contents_motif.gif\">";
+$IMG_LEFT          = "images/bg_left.gif";
+$IMG_RIGHT         = "images/bg_right.gif";
 
 $BIBRE = '\[[\w\/]+\]';			# RE for a bibliography reference
@@ -161,4 +163,5 @@
 	       "-", "&#173;",	# soft hyphen
 	       'tab', '<TD>',
+	       '-', '',
 	       );
 
@@ -446,5 +449,5 @@
     $to_skip{'end iftex'}++;
 }
-$invisible_mark = '<IMG SRC="invisible.xbm" ALT="">' if $invisible_mark eq 'xbm';
+$invisible_mark = '<IMG SRC="images/invisible.xbm" ALT="">' if $invisible_mark eq 'xbm';
 die $usage unless @ARGV == 1;
 $docu = shift(@ARGV);
@@ -958,7 +961,12 @@
 		$name =~ s/\s+$//;
 		$level = $sec2level{$tag};
-		$name = &update_sec_num($tag, $level) . "  $name"
-		    if $number_sections && $tag !~ /^unnumbered/;
-		push(@left_index, $name);
+#		print "+++==>$tag<\n";
+		if ($number_sections && $tag !~ /heading$/) {
+		    $name = &update_sec_num($tag, $level) . "  $name";
+		    push(@left_index, $name);
+		}
+#		$name = &update_sec_num($tag, $level) . "  $name"
+#		    if $number_sections && $tag !~ /heading$/;
+#		    if $number_sections && $tag !~ /^unnumbered/;
 		if ($tag =~ /heading$/) {
 		    push(@lines, &html_debug("\n", __LINE__));
@@ -1298,4 +1306,5 @@
 	($type, $nodes, $full) = ($1, $2, $3);
 	($before, $after) = ($`, $');
+	$ref_where = "Section";
 	if (! $full && $after) {
 	    warn "$ERROR Bad xref (no ending } on line): $_";
@@ -1340,8 +1349,12 @@
 	&normalise_node($node);
 	$sec = $node2sec{$node};
+	$_ = $sec;
+	if (/^[A-Z]/) {
+	    $ref_where = "Appendix";
+	}
 	if (@args == 5) { # reference to another manual
 	    $sec = $args[2] || $node;
 	    $man = $args[4] || $args[3];
-	    $_ = "${before}${type}section `$sec' in \@cite{$man}$after";
+	    $_ = "${before}${type}$ref_where `$sec' in \@cite{$man}$after";
 	} elsif ($type =~ /Info/) { # inforef
 	    warn "$ERROR Wrong number of arguments: $_" unless @args == 3;
@@ -1350,5 +1363,5 @@
 	} elsif ($sec) {
 	    $href = $node2href{$node};
-	    $_ = "${before}${type}section " . &anchor('', $href, '', $sec) . $after;
+	    $_ = "${before}${type}" . &anchor('', $href, '', "$ref_where $sec") . $after;
 	} else {
 	    warn "$ERROR Undefined node ($node): $_";
@@ -1538,6 +1551,7 @@
 print "# end of pass 4\n" if $verbose;
 
-push(@menu_lines, "<BODY BACKGROUND=\"/rock.gif\">\n");
-push(@menu_lines, "<IMG SRC=\"singular-small.jpg\"><P>\n");
+push(@menu_lines, "<BODY BACKGROUND=\"$IMG_LEFT\">\n");
+push(@menu_lines, "<A HREF=\"http://www.mathematik.uni-kl.de/~zca/Singular\" TARGET=\"_parent\">");
+push(@menu_lines, "<IMG SRC=\"images/singular-small.jpg\"></A><P>\n");
 #push(@menu_lines, "<BODY BACKGROUND=\"/rock.gif\" TEXT=\"yellow\"");
 #push(@menu_lines, " LINK=#FFFFFF ALINK=#FF00FF VLINK=\"#00FF00\">\n");
@@ -1937,4 +1951,5 @@
 	$descr = ": $descr" if $descr;
 	push(@menu_lines, "$oltype VALUE=$value>" . &anchor('', $href, "Main", $entry) . "$descr\n");
+	push(@menu_lines, "<P>\n");
     } else {
 	warn "$ERROR Undefined node ($node): $_";
@@ -1994,5 +2009,5 @@
     $text = $address unless $text;
     $address =~ s/&#173;//g;
-    &anchor('', "${address}", '', "<TT>${text}</TT>")
+    &anchor('', "${address}", '_parent', "<TT>${text}</TT>")
 }
 
@@ -2161,5 +2176,5 @@
 </HEAD>
 EOT
-    if(!$is_frame) { print FILE "<BODY background=\"/rock.gif\">\n"; }
+    if(!$is_frame) { print FILE "<BODY background=\"$IMG_RIGHT\">\n"; }
 }
 
@@ -2199,7 +2214,7 @@
     &print_ruler;
     print FILE <<EOT;
-This document was generated on $TODAY using the
-<A HREF=\"$HOMEPAGE\">texi2html</A>
-translator version 1.51a.</P>
+<H6>This document was generated on $TODAY using the
+<A HREF=\"$HOMEPAGE\" TARGET=\"_parent\">texi2html</A>
+translator version 1.51a.</H6>
 EOT
     &print_footer;
